UniqFieldsUpdateProcessorFactory.UniqFieldsUpdateProcessor (Solr 3.6.2 API)
Keywords: org.apache.solr.update.processor.UniqFieldsUpdateProcessorFactory.UniqFieldsUpdateProcessor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.update.processor
Class UniqFieldsUpdateProcessorFactory.UniqFieldsUpdateProcessor

    java.lang.Object
      org.apache.solr.update.processor.UpdateRequestProcessor
          org.apache.solr.update.processor.UniqFieldsUpdateProcessorFactory.UniqFieldsUpdateProcessor

Enclosing class:
  UniqFieldsUpdateProcessorFactory

    public class UniqFieldsUpdateProcessorFactory.UniqFieldsUpdateProcessor

extends UpdateRequestProcessor

Field Summary

Fields inherited from class org.apache.solr.update.processor.UpdateRequestProcessor
`log, next`

Constructor Summary
`UniqFieldsUpdateProcessorFactory.UniqFieldsUpdateProcessor(UpdateRequestProcessor next, Set<String> fields)`

Method Summary
`void` | `processAdd(AddUpdateCommand cmd)`

Methods inherited from class org.apache.solr.update.processor.UpdateRequestProcessor
`finish, processCommit, processDelete, processMergeIndexes, processRollback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniqFieldsUpdateProcessorFactory.UniqFieldsUpdateProcessor

    public UniqFieldsUpdateProcessorFactory.UniqFieldsUpdateProcessor(UpdateRequestProcessor next,
                                                                      Set<String> fields)

Method Detail

### processAdd

    public void processAdd(AddUpdateCommand cmd)
                    throws IOException

  Overrides:
    `processAdd` in class `UpdateRequestProcessor`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD